Sympa::Request::Handler::move_list(3Sympa)

NAME
Sympa::Request::Handler::move_list - move_list request handler

DESCRIPTION
Renames a list or move a list to possibly beyond another virtual host.

On copy mode, Clone a list config including customization, templates, scenario config but without archives, subscribers and shared.

  Attributes
See also "Attributes" in Sympa::Request.

{context}
    Context of request. The robot the new list will belong to.

{current_list}
    Source of moving or copying. An instance of Sympa::List.

{listname}
    The name of the new list.

{mode}
    Optional. If it is set and its value is 'copy', won't erase source list.

SEE ALSO
Sympa::Request::Collection, Sympa::Request::Handler, Sympa::Spindle::ProcessRequest.

HISTORY
Sympa::Request::Handler::move_list appeared on Sympa 6.2.23b.